Open CASCADE Technology: TransferBRep_ShapeMapper Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TransferBRep_ShapeMapper Class Reference

`#include <TransferBRep_ShapeMapper.hxx>`

Inheritance diagram for TransferBRep_ShapeMapper:
[legend]

## Public Member Functions
| TransferBRep_ShapeMapper (const TopoDS_Shape &akey)
const TopoDS_Shape & | Value () const
Standard_Boolean | Equates (const Handle< Transfer_Finder > &other) const
| Specific testof equallity : to be defined by each sub-class, must be False if Finders have not the same true Type, else their contents must be compared. More...
virtual Handle< Standard_Type > | ValueType () const
| Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined. More...
virtual Standard_CString | ValueTypeName () const
| Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object. More...
Public Member Functions inherited from Transfer_Finder
Standard_Integer | GetHashCode () const
| Returns the HashCode which has been stored by SetHashCode (remark that HashCode could be deferred then be defined by sub-classes, the result is the same) More...
void | SetAttribute (const Standard_CString name, const Handle< Standard_Transient > &val)
| Adds an attribute with a given name (replaces the former one with the same name if already exists) More...
Standard_Boolean | RemoveAttribute (const Standard_CString name)
| Removes an attribute Returns True when done, False if this attribute did not exist. More...
Standard_Boolean | GetAttribute (const Standard_CString name, const Handle< Standard_Type > &type, Handle< Standard_Transient > &val) const
| Returns an attribute from its name, filtered by a type If no attribute has this name, or if it is not kind of this type, <val> is Null and returned value is False Else, it is True. More...
Handle< Standard_Transient > | Attribute (const Standard_CString name) const
| Returns an attribute from its name. Null Handle if not recorded (whatever Transient, Integer, Real ...) More...
Interface_ParamType | AttributeType (const Standard_CString name) const
| Returns the type of an attribute : ParamInt , ParamReal , ParamText (String) , ParamIdent (any) or ParamVoid (not recorded) More...
void | SetIntegerAttribute (const Standard_CString name, const Standard_Integer val)
| Adds an integer value for an attribute. More...
Standard_Boolean | GetIntegerAttribute (const Standard_CString name, Standard_Integer &val) const
| Returns an attribute from its name, as integer If no attribute has this name, or not an integer, <val> is 0 and returned value is False Else, it is True. More...
Standard_Integer | IntegerAttribute (const Standard_CString name) const
| Returns an integer attribute from its name. 0 if not recorded. More...
void | SetRealAttribute (const Standard_CString name, const Standard_Real val)
| Adds a real value for an attribute. More...
Standard_Boolean | GetRealAttribute (const Standard_CString name, Standard_Real &val) const
| Returns an attribute from its name, as real If no attribute has this name, or not a real <val> is 0.0 and returned value is False Else, it is True. More...
Standard_Real | RealAttribute (const Standard_CString name) const
| Returns a real attribute from its name. 0.0 if not recorded. More...
void | SetStringAttribute (const Standard_CString name, const Standard_CString val)
| Adds a String value for an attribute. More...
Standard_Boolean | GetStringAttribute (const Standard_CString name, Standard_CString &val) const
| Returns an attribute from its name, as String If no attribute has this name, or not a String <val> is 0.0 and returned value is False Else, it is True. More...
Standard_CString | StringAttribute (const Standard_CString name) const
| Returns a String attribute from its name. "" if not recorded. More...
Handle < Dico_DictionaryOfTransient > | AttrList () const
| Returns the exhaustive list of attributes. More...
void | SameAttributes (const Handle< Transfer_Finder > &other)
| Gets the list of attributes from <other>, as such, i.e. not copied : attributes are shared, any attribute edited, added, or removed in <other> is also in <me> and vice versa The former list of attributes of <me> is dropped. More...
void | GetAttributes (const Handle< Transfer_Finder > &other, const Standard_CString fromname="", const Standard_Boolean copied=Standard_True)
| Gets the list of attributes from <other>, by copying it By default, considers all the attributes from <other> If <fromname> is given, considers only the attributes with name beginning by <fromname> More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Transfer_Finder
void | SetHashCode (const Standard_Integer code)
| Stores the HashCode which corresponds to the Value given to create the Mapper. More...

## Constructor & Destructor Documentation

TransferBRep_ShapeMapper::TransferBRep_ShapeMapper | ( | const TopoDS_Shape & | akey | ) |

## Member Function Documentation

Standard_Boolean TransferBRep_ShapeMapper::Equates | ( | const Handle< Transfer_Finder > & | other | ) | const
| virtual

Specific testof equallity : to be defined by each sub-class, must be False if Finders have not the same true Type, else their contents must be compared.

Implements Transfer_Finder.

const TopoDS_Shape& TransferBRep_ShapeMapper::Value | ( |  | ) | const

virtual Handle< Standard_Type > TransferBRep_ShapeMapper::ValueType | ( |  | ) | const
| virtual

Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined.

Reimplemented from Transfer_Finder.

virtual Standard_CString TransferBRep_ShapeMapper::ValueTypeName | ( |  | ) | const
| virtual

Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object.

Reimplemented from Transfer_Finder.

The documentation for this class was generated from the following file:

- TransferBRep_ShapeMapper.hxx